const fs = require('fs');
const path = require('path');
const util = require('util');
const readFile = util.promisify(fs.readFile);
const writeFile = util.promisify(fs.writeFile);
const postcss = require('postcss');

const plugin = require('./../');

readFile(path.join(__dirname, 'from.css'), {
	encoding: 'utf-8',
})
	.then((css) => {
		return postcss([
			plugin({
				blocks: ['.block-2'],
			}),
		]).process(css, {
			from: path.join(__dirname, 'from.css'),
		});
	})
	.then(({css}) => {
		writeFile(path.join(__dirname, 'to.css'), css, {
			encoding: 'utf-8',
		});
	});
